For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • PUTUpdate A Company User
              • GETGet Company Users
              • POSTCreate A Company User
              • PUTUpdate Company User
              • POSTBulk Create Company User
              • GETGet A Company User
              • DELDelete A Company User
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIUser

Update Company User

Deprecated
PUT
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/users
PUT
/api/v2/io/companies/:companyId/users
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/users \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "jane.doe@acmecorp.com",
> "firstName": "Jane",
> "lastName": "Doe"
>}'
1{
2 "code": 200,
3 "data": {
4 "customerId": "1024",
5 "userId": "2048"
6 },
7 "message": "Success"
8}
Update company user's field, user identified by email field.fields can not omit
Was this page helpful?
Previous

Create A Company User

Next

Bulk Create Company User

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Extra Field Values
emailstringRequired
firstNamestringRequired
lastNamestringRequired
acceptWelcomeEmailenumOptional

(0=will not receive email 1=will receive email)

Allowed values:
phonestringOptional
userRolestringOptional

user role(0=admin 1=senior_buyer 2=junior_buyer 3=sales_rep)

uuidstringOptional
channelIdslist of integersOptional
BigCommerce channel id list
companyRoleIdintegerOptional
The company role id. This field is only applicable to the company's RBAC feature. If your store doesn't utilize this feature, please do not use this field. When it has a value, it will override the value of the userRole field.
extraFieldslist of objectsOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error
404
Not Found Error